Package twisted :: Package protocols :: Module portforward :: Class ProxyClientFactory

[show private | hide private]
[frames | no frames]

## Class ProxyClientFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   ProxyClientFactory

Method Summary
| `buildProtocol(self, *args, **kw)`
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed.
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost. (inherited from `ClientFactory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| `setServer(self, server)`
| ``startedConnecting`(self, connector)` Called when a connection has been started. (inherited from `ClientFactory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`class` | `ProxyClient`

Method Details

### clientConnectionFailed(self, connector, reason)

Called when a connection has failed.

It may be useful to call connector.connect() - this will reconnect.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.ClientFactory.clientConnectionFailed` (inherited documentation)

Class Variable Details

### ProxyClient

`ProxyClient` = `twisted.protocols.portforward.ProxyClient`

Generated by Epydoc 1.1 on Thu May 8 13:16:46 2003 | http://epydoc.sf.net